﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart.Styles;

namespace WindowsFormsApplication
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();

      m_thresholdValuesChart.Axes.Left.Increment = 1;
      m_thresholdValuesChart.Axes.Left.Labels.ValueFormat = "0";
      m_thresholdValuesChart.AfterDraw += OnChartAfterDraw;

      m_okLimitSeries.ShowInLegend = false;
      m_warningSeries.ShowInLegend = false;
      m_criticalLimitSeries.ShowInLegend = false;
      m_thresholdValuesChart.Axes.Left.Maximum = 0;
      m_thresholdValuesChart.Axes.Left.Minimum = 100;


      FillChart();
    }

    private  void FillChart()
     {

       m_thresholdValuesChart.Series.Add(m_criticalLimitSeries);
       m_thresholdValuesChart.Series.Add(m_warningSeries);
       m_thresholdValuesChart.Series.Add(m_okLimitSeries);
 

       for (int i = 0; i < 70; i++)
       {    
         m_warningSeries.Add(DateTime.Now.AddDays(i), 60);
         m_okLimitSeries.Add(DateTime.Now.AddDays(i), 20);
         m_criticalLimitSeries.Add(DateTime.Now.AddDays(i), 100);
       }

       //Clear  button lagent
       m_thresholdValuesChart.Axes.Bottom.Labels.Items.Clear();
       for (int i = 0; i < 70; i++)
       {
          m_thresholdValuesChart.Axes.Bottom.Labels.Items.Add(m_warningSeries.XValues[i],
                                                               DateTime.Now.AddDays(i).ToShortDateString());
       }
       //Handle the Left Axis
       Steema.TeeChart.Axis leftAxis = m_thresholdValuesChart.Axes.Left;
       leftAxis.MinimumOffset = leftAxis.MaximumOffset = 0;
       leftAxis.Automatic = false;
       
       m_warningSeries.Pointer.Visible = true;
       m_criticalLimitSeries.Pointer.Visible = false;
       m_okLimitSeries.Pointer.Visible = true;
       
     }

    private void OnChartAfterDraw(object sender, Steema.TeeChart.Drawing.Graphics3D g)
    {
      Steema.TeeChart.AxisLabelItem CurrentLabel, PreviousLabel;
      for (int i = 1; i < m_thresholdValuesChart.Axes.Bottom.Labels.Items.Count; ++i)
      {
        CurrentLabel = m_thresholdValuesChart.Axes.Bottom.Labels.Items[i];
        PreviousLabel = m_thresholdValuesChart.Axes.Bottom.Labels.Items[i - 1];
        if (CurrentLabel.Left + CurrentLabel.Height == PreviousLabel.Left)
        {
          CurrentLabel.Visible = false;
        }
      }
    }
  }
}
